%define upstream_name    rpm-build-perl
%define upstream_version 0.82

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl compiler backend to extract Perl dependencies
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/B/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(O)
BuildRequires: perl(Safe)
BuildRequires: perl(Test::More)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl-devel

%description
B::PerlReq is a backend module for the Perl compiler that extracts
dependencies from Perl source code, based on the internal compiled
structure that Perl itself creates after parsing a program. The output of
B::PerlReq is suitable for automatic dependency tracking (e.g. for RPM
packaging).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*
%{_bindir}/perl.*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.820.0-2.mga3
+ Revision: 375553
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 jquelin <jquelin> 0.820.0-1.mga3
+ Revision: 302378
- adding missing buildrequires:
- package needs perl-devel
- update to 0.82

* Thu Dec 08 2011 kharec <kharec> 0.800.0-1.mga2
+ Revision: 179064
- Add a BR on Try::Tiny
- update to 0.80

* Mon Nov 14 2011 jquelin <jquelin> 0.780.0-1.mga2
+ Revision: 167628
- update to 0.78

  + spuhler <spuhler>
    - increase rel for rebuild
    - increase rel for rebuild

* Sat Feb 26 2011 jquelin <jquelin> 0.740.0-1.mga1
+ Revision: 60591
- update to 0.74

* Sat Jan 22 2011 jquelin <jquelin> 0.720.0-1.mga1
+ Revision: 32568
- mageia rebuild
- imported package perl-rpm-build-perl

